Well known DID configuration
/.well-known/did-configurationReturns a list of Decentralized Identifier (DID) Configuration entries from the tenant. These are automatically created for all DIDS created on a tenant so that they can be used by any party aiming to establish and verify the domain-DID linkage by exposing cryptographic proofs. Thus, this endpoint is unprotected, public facing and can be deterministically found at the root of the tenant subdomain or alias by any party. Refer to Well Known DID Configuration on the Decentralized Identity Foundation website for more information.
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/.well-known/did-configuration"{
"entries": [
{
"@context": [
"https://www.w3.org/2018/credentials/v1",
"https://identity.foundation/.well-known/contexts/did-configuration-v0.2.jsonld"
],
"type": [
"VerifiableCredential",
"DomainLinkageCredential"
],
"issuer": "did:key:z6MktarAWYW9iUWN2f9oAdHhFXdD9ZKRoEiQyPhQffBho4Df",
"issuanceDate": "2023-07-19T00:46:39.327Z",
"credentialSubject": {
"id": "did:key:z6MktarAWYW9iUWN2f9oAdHhFXdD9ZKRoEiQyPhQffBho4Df",
"origin": "tenant.vii.mattr.global"
},
"proof": {
"type": "Ed25519Signature2018",
"created": "2023-07-19T00:46:39Z",
"verificationMethod": "did:key:z6MktarAWYW9iUWN2f9oAdHhFXdD9ZKRoEiQyPhQffBho4Df#z6MktarAWYW9iUWN2f9oAdHhFXdD9ZKRoEiQyPhQffBho4Df",
"proofPurpose": "assertionMethod",
"jws": "EXAMPLE_JWS_TOKEN_eyJhbGciOiJFZERTQSIsImI2NCI6ZmFsc2UsImNyaXQiOlsiYjY0Il19..jx6VQ_iB80R2GVcqy-hBGHp0A-u-i9ynye7ipb0p4z-4I2ww8tgcut3JadipHUgTS9Qs2YwY2abUsj3045ywDA"
}
},
{
"@context": [
"https://www.w3.org/2018/credentials/v1",
"https://identity.foundation/.well-known/contexts/did-configuration-v0.2.jsonld"
],
"type": [
"VerifiableCredential",
"DomainLinkageCredential"
],
"issuer": "did:key:zUC745TL4zAa8D8qqHnwcmLj7QFcTbgsh41x6sbkRARPokFFvykvk6jjotsEmjpXniEQsm9r5LkSfXKXXu9F5698uDoQ9Bq8MeLtisqUoJJ1SZRa9tsU5EFfD2T2dR58RFMPW9K",
"issuanceDate": "2023-07-19T00:46:39.328Z",
"credentialSubject": {
"id": "did:key:zUC745TL4zAa8D8qqHnwcmLj7QFcTbgsh41x6sbkRARPokFFvykvk6jjotsEmjpXniEQsm9r5LkSfXKXXu9F5698uDoQ9Bq8MeLtisqUoJJ1SZRa9tsU5EFfD2T2dR58RFMPW9K",
"origin": "product-team.platform.staging.mattrlabs.io"
},
"proof": {
"type": "BbsSignature2022",
"verificationMethod": "did:key:zUC745TL4zAa8D8qqHnwcmLj7QFcTbgsh41x6sbkRARPokFFvykvk6jjotsEmjpXniEQsm9r5LkSfXKXXu9F5698uDoQ9Bq8MeLtisqUoJJ1SZRa9tsU5EFfD2T2dR58RFMPW9K#zUC745TL4zAa8D8qqHnwcmLj7QFcTbgsh41x6sbkRARPokFFvykvk6jjotsEmjpXniEQsm9r5LkSfXKXXu9F5698uDoQ9Bq8MeLtisqUoJJ1SZRa9tsU5EFfD2T2dR58RFMPW9K",
"proofPurpose": "assertionMethod",
"proofValue": "x8AFZpr/CUbwC4qony2g8BpW7hdF+KhM363b0jQ6MI+FFsKzwug92JDdeSXaFaZyCvfhkJrIdDGMAzyLSp9kJqH4B2cqPw2AcEsoNrTqxOEw9ZK7D1LXAkvElUhfmIZLKAmGpA8RNVPUG8Q+a2p49w=="
}
}
]
}How would you rate this page?
Delete a DID DELETE
Deletes a DID and all associated metadata by providing its URI. This includes all the removal of all associated private keys from the Key Management System (KMS). <Callout> For `did:web` you will need to manually remove the `did.json` from your hosted domain. </Callout> ### **Analytic events** * DID_DELETE_START * DID_DELETE_SUCCESS * DID_DELETE_FAIL
Create an IACA POST
Creates a new IACA that can be used to sign certificates for Document and Status List signers. - IACAs are always created as inactive. You must manually [update](#operation/update-mobile-credential-iaca) the IACA to [`active: true`](#operation/update-mobile-credential-iaca!path=active&t=request) before it can be used to sign mDocs. - A maximum of three IACAs can be created per tenant. ### **Analytic events** * MOBILE_CREDENTIAL_IACA_CREATE_START * MOBILE_CREDENTIAL_IACA_CREATE_SUCCESS * MOBILE_CREDENTIAL_IACA_CREATE_FAIL